﻿<!DOCTYPE>
<html>
<head>
	<script language="javascript" type="text/javascript" src="https://www.vapcelltech.com/jquery-1.4.2.js"></script>
	<META name=viewport content="user-scalable=yes, width=device-width, initial-scale=1.0, maximum-scale=1.0" />
	<title>Anti-counterfeiting query</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<style type="text/css">
		*{ box-sizing:border-box; -moz-box-sizing:border-box; /* Firefox */ -webkit-box-sizing:border-box; /* Safari */ text-decoration: none; -webkit-font-smoothing: antialiased; transition: all .5s; }
    .clear{ clear: both;}
    body { font-family: Arial; font-size: 14px; line-height: 1.5; color: #333333; }
		html,body{ height: auto; width: 100%; margin: 0px auto; padding: 0; }
		.sk-fwcode{ padding: 20px 10px; max-width: 1024px; margin: auto; }
		.sk-fwcode .sk-fwcode-box{ border: 1px solid #ddd; width: 100%; border-radius: 3px; overflow: hidden; }
		.sk-fwcode .sk-fwcode-title{ text-align: center; font-size: 20px; line-height: 50px; font-weight: bold; background-color: #019143; color: #ffffff;}
		.sk-fwcode .sk-fwcode-label{ border-bottom: 1px solid #f1f1f1; padding: 10px 12px; font-size: 18px; line-height: 30px; font-weight: bold; color: #333;}
		.sk-fwcode .sk-fwcode-input{ border-bottom: 1px solid #f1f1f1; padding: 10px 12px; }
		.sk-fwcode .sk-fwcode-input input{ border: 1px solid #9c9c9c; padding: 10px 12px; height: 48px; background-color: #ffffff; overflow: hidden; border-radius: 5px; width: 100%; }
		.sk-fwcode .sk-fwcode-text{ font-size: 16px; color: #ff0000; line-height: 28px; padding: 10px 12px; }
		.sk-fwcode .sk-fwcode-btn{ border-bottom: 1px solid #f1f1f1; padding: 15px 12px; }
		.sk-fwcode .sk-fwcode-btn .btn{ width: 200px; height: 42px; display: block; border: 0px solid #019143; background-color: #15a256; color: #ffffff; font-size: 18px; overflow: hidden; text-align: center; cursor: pointer; border-radius: 5px;}
		.sk-fwcode .sk-fwcode-tips{ border-radius: 3px; border: 1px solid #ddd; width: 100%; padding: 12px; margin-top: 30px;}
		.sk-fwcode .sk-fwcode-tips-title{ color: #019143;  font-size: 20px; font-weight: bold; line-height: 32px; margin-bottom: 10px;}
		.sk-fwcode .sk-fwcode-tips-text{ font-size: 15px; color: #666; line-height: 28px;}
		.sk-fwcode .sk-fwcode-btn .btn:hover{ background-color: #0b753c; transition: all .8s; }
		
    .sk-fwcode-head{ max-width: 1024px; margin: auto; padding: 35px 10px; }
    .sk-fwcode-head .sk-fwcode-logo{ width: 200px; display: block; float: left; }
    .sk-fwcode-head .sk-fwcode-logo img{ width: 100%; height: auto; display: block; }
    .sk-fwcode-head .sk-fwcode-nav{ float: right; padding-top: 13px; display: block; font-size: 0; }
    .sk-fwcode-head .sk-fwcode-nav a{ display: inline-block; padding: 8px 20px; text-decoration: none;  text-align: center; font-size: 16px; border-radius: 40px; color: #333; background-color: #e2e2e2; margin: 0 4px; line-height: 25px; }
    .sk-fwcode-head .sk-fwcode-nav a.active,.sk-fwcode-head .sk-fwcode-nav a:hover{ background-color: #05a045; color: #ffffff; }

    .sk-fwcode-tips-img{  margin-top: 20px; }
    .sk-fwcode-tips-img h3{ font-size: 20px; font-weight: bold; color: #ff0000; margin-top: 30px; }
    .sk-fwcode-tips-img img{ display: block; width: 100%; height: auto; }

    @media (max-width: 640px){
        .sk-fwcode-head{ padding: 15px 10px; }
        .sk-fwcode-head .sk-fwcode-logo{ float: none; margin: auto; }
        .sk-fwcode-head .sk-fwcode-nav{ width: 100%; float: none; margin: auto; }
        .sk-fwcode-head .sk-fwcode-nav a{ width: 48%; margin: 1%; }
    }
	</style>
</head>

<body>
    <div class="sk-fwcode-head">
        <div class="sk-fwcode-logo">
            <a href="https://www.vapcelltech.com/" target="_blank"><img src="https://25888681.s21i.faiusr.com/4/ABUIABAEGAAgwInz-QUo25PXEjCaAziMAQ.png.webp" alt="Vapcell Anti-counterfeiting Query"></a>
        </div>
        <div class="sk-fwcode-nav">
            <a href="https://www.vapcelltech.com/" target="_blank">Home</a>
            <a href="https://www.vapcelltech.com/h-pr-j-3_11.html#_pp=107_0" target="_blank">Vapcell Chargers</a>
            <a href="http://antifake.vapcelltech.com/anti-fake.html" class="active" target="_blank">Anti-Fake</a>
            <a href="https://www.vapcelltech.com/h-col-111.html" target="_blank">Our History</a>
            <a href="https://www.vapcelltech.com/h-col-113.html" target="_blank">Contact Us</a>
        </div>
        <div class="clear"></div>
    </div>
	<div class="sk-fwcode">
		<div class="sk-fwcode-box">
			<div class="sk-fwcode-title">Vapcell Anti-counterfeiting Query</div>
			<div class="sk-fwcode-label">Security code : </div>
      <div class="sk-fwcode-input">
        <input type="text" name="FwCode" id="FwCodec" maxlength="28" placeholder="Please fill in the security code" />
      </div>
      <div class="sk-fwcode-btn">
        <input type="button" name="btnQuery" id="btnQuery" class="btn" value="Query" onclick="securityCheck()" />
      </div>
			<div class="sk-fwcode-text" id="ReturnResult">
        <span></span>
      </div>
		</div>
		<div class="sk-fwcode-tips">
			<div class="sk-fwcode-tips-title">Security tips :</div>
			<div class="sk-fwcode-tips-text">
				1、Check the label integrity, scraping/uncovered the anti-counterfeit labels.<br />
				2、In the input box above in turn correctly enter the security code above.<br />
				3、Verify the security code in the input box and label is consistent and then click the query button.<br />
				4、Later the system will display the query results.
                <div class="sk-fwcode-tips-img">
                    <img src="https://25888681.s21i.faiusr.com/2/ABUIABACGAAgutGXgwYom7H7gQcwgAU4kQQ.jpg" alt="">
                    <h3>Fake Vapcell Shops</h3>
                    <img src="https://25888681.s21i.faiusr.com/2/ABUIABACGAAg29GXgwYo4J37mAMw_AU4gAY.jpg" alt="">
                </div>
			</div>
		</div>
	</div>
</body>

<script>
var oldData = {},newData = {};
function securityCheck() {
  var code = $('#FwCodec').val()
  var RegNumber = /^[0-9]*[1-9][0-9]*$/;

  // 判断
  if (code.length === 0 || code == '') {
    $('#ReturnResult span').html("The anti-counterfeiting code cannot be empty")
    $('#FwCodec').focus();
    return false;
  }
  else if (!RegNumber.test(code)) {
    $('#ReturnResult span').html("You enter the security code is not a number!")
    $('#FwCodec').focus();
    return false;
  }

  // 新的查询
  NewSecurityCheck(code)
  // 旧的查询
  OldSecurityCheck(code)
  
  setTimeout(function (){
    if(oldData.CodeState == '' && newData.errcode == ''){
      $("#ReturnResult span").html("The query system is busy. Please try again later!");
    }else if(newData.errcode == '-2' || newData.errcode == '-1' || newData.errcode == '0'){
      if(oldData.CodeState == '-1' || oldData.CodeState == '0' || oldData.CodeState == '5'){
        $("#ReturnResult span").html("anti-counterfeiting No.does not exist,please recheck.");
      }else if(oldData.CodeState == '2'){
        $("#ReturnResult span").html("The current anti-counterfeiting password is valid, but it has been checked. Please pay attention to forgery! If you have any questions, please contact customer service personnel.");
      }else if(oldData.CodeState == '1'){
        $("#ReturnResult span").html("The current anti-counterfeiting password is valid and has been verified for the first time.");
        // oldData.QueryResult
      }
    }else if(newData.errcode == '2' || newData.errcode == '3'){
      $("#ReturnResult span").html("The current anti-counterfeiting password is valid, but it has been checked. Please pay attention to forgery! If you have any questions, please contact customer service personnel.");
    }else if(newData.errcode == '1'){
      $("#ReturnResult span").html("The current anti-counterfeiting password is valid and has been verified for the first time.");
      // newData.errmsg
    }
  }, 1200);
  
  // old   0 正确; 1 错误  2;  重复 ;
  // new   -2 出错; -1 系统出错; 0  非法; 1 正确，首次 ; 2 有效 被查询过; 3 有效，但已被多次查询;


}

function OldSecurityCheck(codeNum) {
  var data = {
    FwCode: codeNum
  }
  $.ajax({
      type: "get",
      data: data,
      async: true,
      url: "http://www.zgfw-315.com/fwqueryjson.ashx?callback=?",
      dataType: "jsonp",
      jsonp: "callback",
      success: function (data) {
        oldData = data
      },
      error: function () {
          $("#ReturnResult p").html("The query system is busy. Please try again later!");
      }
  });
}

function NewSecurityCheck(codeNum) {
  var data = { 
    code: codeNum,
    appid: '10001',
    appsecret: '3626A3D01687F0A1AB5A5A820CEFC49E'
  };
  $.ajax({
      type: "get",
      data: data,
      async: true,
      url: "https://kz315.com/api/query.ashx?callback=?",
      dataType: "jsonp",
      jsonp: "callback",
      success: function (data) {
        newData = data
      },
      error: function () {
          $("#ReturnResult span").html("The query system is busy. Please try again later!");
      }
  });
}





// function fwchack(obj, obj1) {
//     var $FwCode = document.getElementById(obj).value;
//     // var $CheckResult = document.getElementById(obj1);
//     //alert($FwCode);
//     var RegNumber = /^[0-9]*[1-9][0-9]*$/;
//     var flag = false;

//     // alert(document.getElementById("ReturnResult").innerHTML);
//     //$CheckResult.html("");
//     document.getElementById(obj1).innerHTML = "";

//     if ($FwCode.length == 0) {
//         document.getElementById(obj1).innerHTML = "The code can not be empty!";
//         document.getElementById(obj).focus();
//         return false;
//     }
//     else if ($FwCode.length < 10) {
//         document.getElementById(obj1).innerHTML = "The code Length cannot be less than 10 ! ";
//         document.getElementById(obj).focus();
//         return false;
//     }

//     else if ($FwCode.length > 24) {
//         document.getElementById(obj1).innerHTML = "The code Length cannot be greater than 24!";
//         document.getElementById(obj).focus();
//         return false;
//     }

//     else if (!RegNumber.test($FwCode)) {
//         document.getElementById(obj1).innerHTML = "You enter the security code is not a number!";
//         document.getElementById(obj).focus();
//         return false;
//     }

//     document.getElementById(obj1).innerHTML = "Is the query......";
//     $(this).attr("disabled", true);
//     var $strurl = "";

//     $.getJSON(
//         "http://www.zgfw-315.com/fwqueryjson.ashx?callback=?",
//         { FwCode: $FwCode },
//         function (data) {
//             //    alert(data.CodeState);
//             var resnote = data.QueryResult;
//             if (data.CodeState == "-1" || data.CodeState == "0" || data.CodeState == "5") {
//                 resnote = "anti-counterfeiting No.does not exist,please recheck.";
//             }
//             if (data.CodeState == "2") {
//                 resnote = "The security  code has been queried, please beware of fake! If you have questions, please contact customer service personnel ";
//             }
//             document.getElementById(obj1).innerHTML = resnote;
//             setTimeout(btnEnabled, 2000);
//         });

//     function btnEnabled() {
//         $(this).attr("disabled", false);
//     }
// }
</script>
</html>